send-kakao-brand-message
curl --request POST \
--url https://api.notifly.tech/messages/kakao-brand-message \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"projectId": "example_project_1234567890abcdef",
"templateId": "template-id",
"brandMessageTarget": "M",
"recipientList": [
{
"recipientNo": "01012345678",
"templateParameter": {
"customer_name": "홍길동"
},
"failoverTextMessageTemplateParameter": {
"coupon_name": "8월 할인 쿠폰"
}
}
]
}
'import requests
url = "https://api.notifly.tech/messages/kakao-brand-message"
payload = {
"projectId": "example_project_1234567890abcdef",
"templateId": "template-id",
"brandMessageTarget": "M",
"recipientList": [
{
"recipientNo": "01012345678",
"templateParameter": { "customer_name": "홍길동" },
"failoverTextMessageTemplateParameter": { "coupon_name": "8월 할인 쿠폰" }
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
projectId: 'example_project_1234567890abcdef',
templateId: 'template-id',
brandMessageTarget: 'M',
recipientList: [
{
recipientNo: '01012345678',
templateParameter: {customer_name: '홍길동'},
failoverTextMessageTemplateParameter: {coupon_name: '8월 할인 쿠폰'}
}
]
})
};
fetch('https://api.notifly.tech/messages/kakao-brand-message', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.notifly.tech/messages/kakao-brand-message",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'projectId' => 'example_project_1234567890abcdef',
'templateId' => 'template-id',
'brandMessageTarget' => 'M',
'recipientList' => [
[
'recipientNo' => '01012345678',
'templateParameter' => [
'customer_name' => '홍길동'
],
'failoverTextMessageTemplateParameter' => [
'coupon_name' => '8월 할인 쿠폰'
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.notifly.tech/messages/kakao-brand-message"
payload := strings.NewReader("{\n \"projectId\": \"example_project_1234567890abcdef\",\n \"templateId\": \"template-id\",\n \"brandMessageTarget\": \"M\",\n \"recipientList\": [\n {\n \"recipientNo\": \"01012345678\",\n \"templateParameter\": {\n \"customer_name\": \"홍길동\"\n },\n \"failoverTextMessageTemplateParameter\": {\n \"coupon_name\": \"8월 할인 쿠폰\"\n }\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.notifly.tech/messages/kakao-brand-message")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"projectId\": \"example_project_1234567890abcdef\",\n \"templateId\": \"template-id\",\n \"brandMessageTarget\": \"M\",\n \"recipientList\": [\n {\n \"recipientNo\": \"01012345678\",\n \"templateParameter\": {\n \"customer_name\": \"홍길동\"\n },\n \"failoverTextMessageTemplateParameter\": {\n \"coupon_name\": \"8월 할인 쿠폰\"\n }\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.notifly.tech/messages/kakao-brand-message")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"projectId\": \"example_project_1234567890abcdef\",\n \"templateId\": \"template-id\",\n \"brandMessageTarget\": \"M\",\n \"recipientList\": [\n {\n \"recipientNo\": \"01012345678\",\n \"templateParameter\": {\n \"customer_name\": \"홍길동\"\n },\n \"failoverTextMessageTemplateParameter\": {\n \"coupon_name\": \"8월 할인 쿠폰\"\n }\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"success": true
}{
"success": false,
"error": "Sender info is not registered."
}{
"success": false,
"error": "Internal Server Error"
}Messaging
Send a templated Kakao Brand Message
Send a message using a template.
POST
/
messages
/
kakao-brand-message
send-kakao-brand-message
curl --request POST \
--url https://api.notifly.tech/messages/kakao-brand-message \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"projectId": "example_project_1234567890abcdef",
"templateId": "template-id",
"brandMessageTarget": "M",
"recipientList": [
{
"recipientNo": "01012345678",
"templateParameter": {
"customer_name": "홍길동"
},
"failoverTextMessageTemplateParameter": {
"coupon_name": "8월 할인 쿠폰"
}
}
]
}
'import requests
url = "https://api.notifly.tech/messages/kakao-brand-message"
payload = {
"projectId": "example_project_1234567890abcdef",
"templateId": "template-id",
"brandMessageTarget": "M",
"recipientList": [
{
"recipientNo": "01012345678",
"templateParameter": { "customer_name": "홍길동" },
"failoverTextMessageTemplateParameter": { "coupon_name": "8월 할인 쿠폰" }
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
projectId: 'example_project_1234567890abcdef',
templateId: 'template-id',
brandMessageTarget: 'M',
recipientList: [
{
recipientNo: '01012345678',
templateParameter: {customer_name: '홍길동'},
failoverTextMessageTemplateParameter: {coupon_name: '8월 할인 쿠폰'}
}
]
})
};
fetch('https://api.notifly.tech/messages/kakao-brand-message', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.notifly.tech/messages/kakao-brand-message",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'projectId' => 'example_project_1234567890abcdef',
'templateId' => 'template-id',
'brandMessageTarget' => 'M',
'recipientList' => [
[
'recipientNo' => '01012345678',
'templateParameter' => [
'customer_name' => '홍길동'
],
'failoverTextMessageTemplateParameter' => [
'coupon_name' => '8월 할인 쿠폰'
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.notifly.tech/messages/kakao-brand-message"
payload := strings.NewReader("{\n \"projectId\": \"example_project_1234567890abcdef\",\n \"templateId\": \"template-id\",\n \"brandMessageTarget\": \"M\",\n \"recipientList\": [\n {\n \"recipientNo\": \"01012345678\",\n \"templateParameter\": {\n \"customer_name\": \"홍길동\"\n },\n \"failoverTextMessageTemplateParameter\": {\n \"coupon_name\": \"8월 할인 쿠폰\"\n }\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.notifly.tech/messages/kakao-brand-message")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"projectId\": \"example_project_1234567890abcdef\",\n \"templateId\": \"template-id\",\n \"brandMessageTarget\": \"M\",\n \"recipientList\": [\n {\n \"recipientNo\": \"01012345678\",\n \"templateParameter\": {\n \"customer_name\": \"홍길동\"\n },\n \"failoverTextMessageTemplateParameter\": {\n \"coupon_name\": \"8월 할인 쿠폰\"\n }\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.notifly.tech/messages/kakao-brand-message")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"projectId\": \"example_project_1234567890abcdef\",\n \"templateId\": \"template-id\",\n \"brandMessageTarget\": \"M\",\n \"recipientList\": [\n {\n \"recipientNo\": \"01012345678\",\n \"templateParameter\": {\n \"customer_name\": \"홍길동\"\n },\n \"failoverTextMessageTemplateParameter\": {\n \"coupon_name\": \"8월 할인 쿠폰\"\n }\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"success": true
}{
"success": false,
"error": "Sender info is not registered."
}{
"success": false,
"error": "Internal Server Error"
}- The endpoint supports channels that use the
NotiflyKakaoTalk delivery platform. Channels usingNotifly (Legacy)cannot use this endpoint. - A
200response with{ "success": true }confirms only that Notifly queued the request. - Contact contact@notifly.tech for API send statistics. The console does not display those statistics.
Authorizations
Body
application/json
